## ghostscript 9.04~dfsg

=== debian/changelog ===
ghostscript (9.04~dfsg-3) unstable; urgency=low

  [ Steve Langasek ]
  * Mark ghostscript Multi-Arch: foreign, so that the package manager knows
    the package satisfies dependencies and build-dependencies of packages
    regardless of architecture.
  * Drop gs-gpl package: it was already a transitional package in lenny,
    and html2ps in squeeze is the last package to recommend it (nothing in
    wheezy references it).
  * Eliminate the gs provides; nothing in squeeze or wheezy references it. 
  * Drop gs-common package: it was also transitional from lenny on, and
    latexmk in wheezy is the last package to reference it as a Suggests
    only.
    Closes: bug#646870. Thanks to Jakub Wilk and Didier Raboud.

  [ Jonas Smedegaard ]
  * Update copyright file: Fix add missing copyright paragraph.
    Thanks to lintian.
  * Drop transitional Replaces: affecting only testing.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Nov 2011 13:01:31 +0700

ghostscript (9.04~dfsg-2) unstable; urgency=low

  * Update copyright file:
    + Fix add dot in horisontal space of license MIT~Lucent.
      Thanks to lintian.
  * Suppress bogus d-shlibs resolving of ld1-dev: Fixes FTBFS.
    Thanks to Pino Toscano.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Oct 2011 00:20:56 +0200

ghostscript (9.04~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#597833. Thanks to Till Kamppeter and Kurt Roeckx.
  * Exclude lcms2 from repackaged source.
  * Update patches:
    + Drop patches cherry-picked from upstream Git: Applied upstream
      now.
    + Unfuzz patch 2001.
    + Add patch cherry-picked upstream to add sys/time.h definition
      only once.
    + Add patch 1001 to autoconfigure choice of CMS in use (not hardcode
      to lcms 1.x).
    + Add patch 1002 to fix a few comment typos in CMS-related
      makefiles.
    + Add patch 2003 to include multiarch paths, fixing FTBFS.
      Closes: bug#639073. Thanks to Philippe Le Brouster.
  * Fix FTBFS on s390: Adjust symbols file.
    Closes: bug#636546. Thanks to Aurelien Jarno.
  * Link against lcms2 (not lcms1).
    Regenerate autoconf during build (needed for patch 1001).
    Build-depend on autoconf.
    Build-depend on liblcms1-dev (in addition to liblcms2-dev): Provides
    needed icc34.h header.
  * Let CUPS rasterizer link against D-Bus. Build-depend on
    libdbus-1-dev, and recommend colord.
  * Improve ghostscript-cups postinst:
    + Limit lp* commands to localhost to avoid hanging. See bug#543468.
      Thanks to Till Kamppeter.
    + Trap non-numeric signals, and also ILL and ABRT (not only HUP INT
      QUIT PIPE TERM).
      Thanks to Till Kamppeter.
  * Improve ghostscript preinst:
    + Purge obsolete defoma cruft to silence warnings.
      Thanks to Till Kamppeter.
  * Silence iccprofiles and example PDFs from copyright tracking.
  * Include configure flag --with-install-cups.
  * Update package relations:
    + Relax build-dependency on cdbs (unneededly tight).
    + Relax build-depend unversioned on debhelper and devscripts (needed
      versions satisfied even in oldstable).
  * Fix (really really this time) drop cidfmap in Init dir if virtually
    empty.
    Closes: bug#531182, #618354. Thanks to Youhei SASAKI and Mitsuya
    Shibata.
  * Update symbols files.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 02 Oct 2011 15:42:48 +0200

ghostscript (9.02~dfsg-3) unstable; urgency=low

  * Tighten build-dependency on d-shlibs and drop overrides.
    Closes: bug#629967, thanks to Bill Allombert.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 07 Jul 2011 22:52:03 +0200

ghostscript (9.02~dfsg-2) unstable; urgency=low

  * Cherry-pick upstream fixes for severe bugs.
    + Fix for x11alpha device when the source file has transparency.
      Closes: bug#567673. Thanks to Markus Steinborn.
    + Fix segfault with -dDOINTERPOLATE.
    + Fix crashing bug in PostScript colour handling.
    + Fix potential SEGV ICC-parsing e.g. Photoshop CMYK EPS.
    + Fix crash in tiffsep device when COMPILE_INITS=0.
  * Update copyright file:
    + Separate non-verbatim part of License fields into Comment fields.
    + Strip Files section for no longer included m4 files, and
      corresponding License section.
    + Fix list exceptions as such (not as or'ed licenses).
    + Fix license section lgpl-2.1+ to use verbatim text, and properly
      refer to 'Lesser' (not 'Library').
    + Fix use separate License sections for variations, to obey Policy
      requirement of including the texts verbatim.
    + Rename license shortnames using ~ to indicate derived-from-common.
    + Fix state 'None' as copyright for a PD (non-)license.
    + Fix license section comments for LGPL-2.1+ to refer to LGPL at FSF
      address (not GPL).
    + Rewrap license fields at 72 chars, and shorten comments.
    + Fix and tidy references to AFPL licenses.
    + Add a bunch of newly examined copyright holders and (mostly GPL
      and MIT-derived) licenses.
    + Bump format to draft 174 of DEP-5.
  * Bump policy compliance to standards-version 3.9.2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Apr 2011 02:02:43 +0200

ghostscript (9.02~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#620970. Thanks to Daniel Baumann.
    + Fixes crash in CUPS driver.
      Closes: bug#615202.

  [ Jonas Smedegaard ]
  * Set libgs-dev to priority optional (not extra) to match override
    file.
  * Fix have libgs* depend on lib*-common, source-versioned to ensure
    sanity while allow binNMUs. Thanks to Niels Thykier.
  * Drop obsolete lintian overrides.
  * Fix stop stripping convenience library icclib from upstream source:
    Linkage against shared system library was not applied and is not yet
    working.
  * Update upstream download URL.  Tidy note on DFSG repackaging copyright file.
  * Drop patches 0001 and 1001: Applied upstream.
  * Update copyright file:
    + (Re)add licensing of icclib.
    + Fix treat SunSoft part as exception (not separate license).

