=== debian/control ===
Source: ghostscript
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Build-Depends: cdbs (>= 0.4.72~),
 autoconf,
 debhelper,
 dh-buildinfo,
 devscripts,
 liblcms2-dev,
 liblcms1-dev,
 libfreetype6-dev,
 libcups2-dev (>= 1.3.7),
 libcupsimage2-dev (>= 1.1.20final+rc1-4),
 libdbus-1-dev,
 libjpeg-dev,
 libpaper-dev,
 libpng-dev,
 libz-dev,
 libfontconfig1-dev,
 libjasper-dev,
 libtiff-dev,
 libexpat-dev,
 libjbig2dec-dev,
 libidn11-dev,
 libijs-dev,
 freeglut3-dev | libglut-dev,
 libxt-dev,
 libxext-dev,
 libx11-dev,
 libice-dev,
 libsm-dev,
 pkg-config,
 d-shlibs (>= 0.45~)
Standards-Version: 3.9.2
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Michael Gilbert <michael.s.gilbert@gmail.com>
Homepage: http://www.ghostscript.com/
Vcs-Git: git://git.debian.org/git/collab-maint/ghostscript.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ghostscript.git;a=summary

Package: ghostscript
Architecture: any
Multi-Arch: foreign
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Recommends: ${cdbs:Recommends}
Suggests: ${cdbs:Suggests}
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 libgs9 (= ${binary:Version}),
 ${misc:Depends}
Breaks: ${cdbs:Breaks}
Description: interpreter for the PostScript language and for PDF
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be
 printed on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.

Package: ghostscript-cups
Architecture: any
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Recommends: ${cdbs:Recommends},
 ${cdbs:Recommends}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Description: interpreter for the PostScript language and for PDF - CUPS filters
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the CUPS filters, drivers, and PPDs which come
 with GPL Ghostscript.

Package: ghostscript-x
Architecture: any
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Provides: ${cdbs:Provides}
Description: interpreter for the PostScript language and for PDF - X11 support
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the GPL Ghostscript output device for X11.

Package: ghostscript-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Suggests: ${cdbs:Suggests}
Conflicts: ${cdbs:Conflicts}
Description: interpreter for the PostScript language and for PDF - Documentation
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript, mainly
 targeted developers and advanced users.

Package: libgs9
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends},
 libgs9-common (= ${source:Version})
Description: interpreter for the PostScript language and for PDF - Library
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library which makes the
 facilities of GPL Ghostscript available to applications.

Package: libgs9-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Replaces: ${cdbs:Replaces}
Description: interpreter for the PostScript language and for PDF - common files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files needed by
 the GPL Ghostscript library.

Package: libgs-dev
Section: libdevel
Architecture: any
Depends: ${devlibs:Depends},
 ${cdbs:Depends},
 ${misc:Depends}
Conflicts: ${cdbs:Conflicts}
Replaces: ${cdbs:Replaces}
Provides: ${cdbs:Provides}
Description: interpreter for the PostScript language and for PDF - Development Files
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files for the GPL Ghostscript
 library which makes the facilities of GPL Ghostscript available to
 applications.

Package: ghostscript-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
 ${cdbs:Depends},
 libgs9 (= ${binary:Version}) |
 ghostscript (= ${binary:Version}) |
 ghostcript-cups (= ${binary:Version}) |
 ghostcript-x (= ${binary:Version}),
 ${misc:Depends}
Description: interpreter for the PostScript language and for PDF - Debug symbols
 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the debugging symbols for ghostscript, ghostscript-x,
 ghostscript-cups and libgs9.
