=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2004-2009, Masayuki Hatta (mhatta) <mhatta@debian.org>
# Copyright © 2009-2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for GPL Ghostscript
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# This needs to run before cdbs auto-update
debian/control:: debian/control.in
DEB_PHONY_RULES += debian/control.in
debian/control.in::
	sed $(SEDRULE_CONTENT) <debian/control.in.in >debian/control.in

DEB_AUTO_UPDATE_AUTOCONF = 2.67
include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk

# ABI by default follows upstream version (without repackaging suffix)
abi = $(DEB_UPSTREAM_TARBALL_VERSION)
major := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/\..*$$//')
libname = libgs
libpkgname = $(libname)$(major)
datapkgname = $(libname)$(major)-common

DEB_UPSTREAM_URL = http://downloads.ghostscript.com/public
DEB_UPSTREAM_TARBALL_MD5 = 9c2fb4af1eb609d09dba5bb0fa76173a

# Non-DFSG license limited to verbatim copying
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/90ms-RKSJ-UCS2 \
	./Resource/CMap/90pv-RKSJ-UCS2 \
	./Resource/CMap/90pv-RKSJ-UCS2C \
	./Resource/CMap/Adobe-CNS1-B5pc \
	./Resource/CMap/Adobe-CNS1-ETenms-B5 \
	./Resource/CMap/Adobe-CNS1-H-CID \
	./Resource/CMap/Adobe-CNS1-H-Host \
	./Resource/CMap/Adobe-CNS1-H-Mac \
	./Resource/CMap/Adobe-CNS1-UCS2 \
	./Resource/CMap/Adobe-GB1-GBK-EUC \
	./Resource/CMap/Adobe-GB1-GBpc-EUC \
	./Resource/CMap/Adobe-GB1-H-CID \
	./Resource/CMap/Adobe-GB1-H-Host \
	./Resource/CMap/Adobe-GB1-H-Mac \
	./Resource/CMap/Adobe-GB1-UCS2 \
	./Resource/CMap/Adobe-Japan1-90ms-RKSJ \
	./Resource/CMap/Adobe-Japan1-90pv-RKSJ \
	./Resource/CMap/Adobe-Japan1-H-CID \
	./Resource/CMap/Adobe-Japan1-H-Host \
	./Resource/CMap/Adobe-Japan1-H-Mac \
	./Resource/CMap/Adobe-Japan1-PS-H \
	./Resource/CMap/Adobe-Japan1-PS-V \
	./Resource/CMap/Adobe-Japan1-UCS2 \
	./Resource/CMap/Adobe-Korea1-H-CID \
	./Resource/CMap/Adobe-Korea1-H-Host \
	./Resource/CMap/Adobe-Korea1-H-Mac \
	./Resource/CMap/Adobe-Korea1-KSCms-UHC \
	./Resource/CMap/Adobe-Korea1-KSCpc-EUC \
	./Resource/CMap/Adobe-Korea1-UCS2 \
	./Resource/CMap/B5pc-UCS2 \
	./Resource/CMap/B5pc-UCS2C \
	./Resource/CMap/CNS01-RKSJ-H \
	./Resource/CMap/CNS02-RKSJ-H \
	./Resource/CMap/CNS03-RKSJ-H \
	./Resource/CMap/CNS04-RKSJ-H \
	./Resource/CMap/CNS05-RKSJ-H \
	./Resource/CMap/CNS06-RKSJ-H \
	./Resource/CMap/CNS07-RKSJ-H \
	./Resource/CMap/CNS15-RKSJ-H \
	./Resource/CMap/ETen-B5-UCS2 \
	./Resource/CMap/GB-RKSJ-H \
	./Resource/CMap/GBK-EUC-UCS2 \
	./Resource/CMap/GBT-RKSJ-H \
	./Resource/CMap/GBpc-EUC-UCS2 \
	./Resource/CMap/GBpc-EUC-UCS2C \
	./Resource/CMap/HK-RKSJ-H \
	./Resource/CMap/Hojo-RKSJ-H \
	./Resource/CMap/KSC-RKSJ-H \
	./Resource/CMap/KSC2-RKSJ-H \
	./Resource/CMap/KSCms-UHC-UCS2 \
	./Resource/CMap/KSCpc-EUC-UCS2 \
	./Resource/CMap/KSCpc-EUC-UCS2C \
	./Resource/CMap/TCVN-RKSJ-H \
	./Resource/CMap/UCS2-90ms-RKSJ \
	./Resource/CMap/UCS2-90pv-RKSJ \
	./Resource/CMap/UCS2-B5pc \
	./Resource/CMap/UCS2-ETen-B5 \
	./Resource/CMap/UCS2-GBK-EUC \
	./Resource/CMap/UCS2-GBpc-EUC \
	./Resource/CMap/UCS2-KSCms-UHC \
	./Resource/CMap/UCS2-KSCpc-EUC
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/Identity-UTF16-H \
	./Resource/CMap/Identity-UTF16-V
# Sources unavailable
# (PDFs kept commented out as reminder, in case jasper iss included)
#DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jasper/doc/*.pdf
# convenience libraries cluttering authorship/licensing tracking
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./cups/libs/
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./expat/ ./freetype/ ./ijs/ ./jasper/ ./jbig2dec/ ./lcms/ ./lcms2/ ./libpng/ ./tiff/ ./zlib/
# convenience library enabling old non-standard option (see bug#582521)
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpeg/
# convenience library implementing patented controversial JPEG XR format
DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpegxr/

DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(examples/.*\.pdf|iccprofiles/.*\.icc|toolbin/.*/.*\.icc|Resource/Font/.*|debian/(changelog|copyright(|_hints|_newhints)))$

# put aside upstream-shipped temp files during build but after copyright-check
upstreamtmpfiles = configure
pre-build:: debian/stamp-upstreamtmpstuff
debian/stamp-upstreamtmpstuff: debian/stamp-copyright-check
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file ] || [ -e $$file.upstream ] || cp -a $$file $$file.upstream; \
	done
	touch $@
clean::
	for file in $(upstreamtmpfiles); do \
		[ ! -e $$file.upstream ] || mv -f $$file.upstream $$file; \
	done
	rm -f debian/stamp-upstreamtmpstuff

# workaround for autotools-resolved paths ignored in base/unix-auth.mak
export DEB_HOST_MULTIARCH

# Use system libraries
# (listed in order of appearance)
gs_opts = SHARE_JPEG=1 SHARE_LIBPNG=1 SHARE_LIBTIFF=1 SHARE_ZLIB=1 SHARE_JBIG2=1 SHARE_JPX=1 SHARE_IJS=1 SHARE_EXPAT=1

# FIXME: build without PIC for -dev package
CFLAGS += -fPIC

DEB_CONFIGURE_EXTRA_FLAGS = \
	--with-ijs --with-jbig2dec --with-jasper --with-system-libtiff \
	--with-x --disable-gtk \
	--enable-dynamic --with-omni --disable-compile-inits \
	--with-drivers=ALL \
	--with-fontpath=/var/lib/ghostscript/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts

# liblcms1-dev needed for icc34.h - See doc/GS9_Color_Management.pdf
gs_opts += WHICH_CMS=lcms2 SHARE_LCMS=1 LCMS2DIR=/usr
CDBS_BUILD_DEPENDS += , liblcms2-dev, liblcms1-dev

gs_opts += SHARE_FT=1
DEB_CONFIGURE_EXTRA_FLAGS += --enable-freetype
CDBS_BUILD_DEPENDS += , libfreetype6-dev

gs_opts += SHARE_LCUPS=1 SHARE_LCUPSI=1
gs_opts += CUPSDATA=/usr/share/ppd/ghostscript
DEB_CONFIGURE_EXTRA_FLAGS += --enable-cups --enable-dbus --with-install-cups
CDBS_BUILD_DEPENDS += , libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4)
CDBS_BUILD_DEPENDS += , libdbus-1-dev
CDBS_DEPENDS_ghostscript-cups += , ghostscript (>= 8.64~dfsg-8)
CDBS_RECOMMENDS_ghostscript-cups += , cups, cups-client, colord
CDBS_SUGGESTS_ghostscript += , ghostscript-cups

DEB_MAKE_BUILD_TARGET = so gs.a $(gs_opts)
DEB_MAKE_INSTALL_TARGET = soinstall install-cups DESTDIR=$(DEB_DESTDIR) $(gs_opts)

SEDRULE_CONTENT = 's/__ABI__/$(abi)/g;s/__VER__/$(major)/g'

pre-build:: debian/control.in.in
	echo "sed $(SEDRULE_CONTENT) <$< | diff -u debian/control.in -"
	@sed $(SEDRULE_CONTENT) <$< | diff -u debian/control.in - || ( \
		echo; \
		echo "Upstream version has changed (or debian/control.in.in is out of sync)"; \
		echo "Edit debian/control manually, or use the following command:"; \
		echo "  DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean"; \
		exit 1)

# Generate (and cleanup) files containing variables static per build
infiles = $(filter-out debian/control.in debian/control.in.in, $(wildcard debian/*.in))
outfiles = $(subst $(libname)__VER__,$(libpkgname),$(basename $(infiles)))
pre-build:: $(outfiles)
$(outfiles): update-config debian/stamp-copyright-check
	sed $(SEDRULE_CONTENT) <$(subst $(libpkgname),$(libname)__VER__,$@).in >$@
clean::
	rm -f $(outfiles)

pre-build clean:: fail-source-not-repackaged

clean::
	[ ! -f Makefile ] || $(MAKE) soclean
	[ ! -f Makefile ] || $(MAKE) distclean
# These are somehow left...
	rm -rf sobin soobj gs.a cups/pstoraster cups/pstopxl

install/ghostscript::
	# Remove some of the scripts
