## ghostscript 9.05~dfsg

=== debian/changelog ===
ghostscript (9.05~dfsg-0ubuntu4.2) precise-proposed; urgency=low

  * debian/patches/020120828-535d11e-disable-checking-for-the-max-pdf-object-number-during-pdf-linearisation.patch:
    Disable checking for the max pdf object number during PDF linearisation,
    because linearisation adds a few new objects to the PDF file (LP: #1032366).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 28 Aug 2012 21:07:13 +0200

ghostscript (9.05~dfsg-0ubuntu4.1) precise-proposed; urgency=low

  * debian/patches/020120711-4f6b985-write-transparent-type2-pattern-color-to-clist.patch:
    When using a clist, ensure that all the color space data for the
    pattern gets written to the clist, *and* that the clist correctly
    records all the relevant transparency data (LP: #1022516, upstream bug
    #693176).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Jul 2012 17:08:13 +0200

ghostscript (9.05~dfsg-0ubuntu4) precise; urgency=low

  * debian/patches/020120329-be64563-pdfwrite-when-a-charstring-is-not-found-for-a-glyph-use-the-notdef-width-instead-of-0.patch:
    The "pdfwrite" output device uses zero and not the width of /.notdef whn
    using /.notdef for a glyph not found in an embedded font. This leads to
    wrong spacing in a PostScript file missing a space glyph (LP: #960989,
    upstream bug #692944).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 29 Mar 2012 15:41:13 +0100

ghostscript (9.05~dfsg-0ubuntu3) precise; urgency=low

  * debian/patches/020120319-d6f83df-ps2write-not3ccitt-option.patch: Added
    option to let Ghostscript's "ps2write" output device not compress images
    and bitmap glyphs with CCITTFax filter. The CCITTFax decoder in Brother's
    PostScript printers is broken (LP: #955553).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 19 Mar 2012 11:45:13 +0100

ghostscript (9.05~dfsg-0ubuntu2) precise; urgency=low

  * debian/ghostscript-doc.install, debian/ghostscript-doc.doc-base: Install
    the Ghostscript documentation into /usr/share/doc/ghostscript-doc instead
    of /usr/share/doc/ghostscript (LP: #789235).
  * debian/libgs__VER__-common.postinst.in,
    debian/libgs__VER__-common.prerm.in: Create a symlink
    /usr/share/ghostscript/current to the /usr/share/ghostscript/<version>
    directory of the newest installed libgs<version>-common package, to have
    version-independent access to the Ghostscript files (LP: #327244).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  7 Mar 2012 17:31:13 +0100

ghostscript (9.05~dfsg-0ubuntu1) precise; urgency=low

  * New upstream release
     - Ghostscript 9.05 release, February, 8 2012
     - Ghostscript's PDF interpreter is now able to make use of the
       DroidSansFallback TrueType font to automatically substitute for
       missing CIDFonts. Whilst it is always best to ensure the original
       CIDFont is available for the best and most accurate output, the
       ability to make an automatic substitution will be valuable for
       those merely viewing or proofing such files.
     - This release includes support for a proofing ICC profile. The
       command option is specified using -sProofProfile=filename. With
       this option, the color output will emulate what would be obtained
       had the source file been rendered on a device defined by the
       proofing profile. (See GS9_Color_Management.pdf for details.)
     - This release includes support for a device link ICC profile. The
       command option is specified using -sDeviceLinkProfile=filename.
       With this option, the device link profile is added to the end of
       the link transform from source to destination. In this case, one
       can include a command line option like "-sDevice=tiff32nc
       -sOutputICCProfile=srgb.icc -sDeviceLinkProfile=linkRGBtoCMYK.icc"
       and source colors will be mapped through sRGB and through the
       device link profile to CMYK values for the device. (See
       GS9_Color_Management.pdf for details.)
     - Ghostscript now supports "unmanaged color transformations" for
       source DeviceXXX colors (in other words, they use a simplistic
       conversion, rather than the ICC profile based color workflow). This
       is beneficial in uses where performance takes precedence over
       ultimate color fidelity (the command line parameter -dUseFastColor
       enables this).
     - The font set distributed with Ghostscript has been changed to the
       standard 35 Postscript-compatible fonts distributed by URW.
     - Ghostscript now includes a simple ink-coverage device, contributed
       by Sebastian Kapfer (inkcov).
     - The TIFF, JPEG and PNG output devices now support embedding of the
       device ICC profile in the output file.
     - jbig2dec now has simple halftone region support.
     - The ps2write device has had a large number of output quality and
       stability improvements.
     - The txtwrite output was modified so that it more closely matches
       the output from MuPDF, if requested. Note that the algorithms used
       by the two products are not identical and may return slightly
       differing results (See Devices.htm for details).
  * debian/rules: Updated MD5 sum for original source tarball
  * debian/symbols.common: Updated for new upstream source. Applied patch
    which dpkg-gensymbols generated for debian/libgs9.symbols to this file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 09 Feb 2012 13:22:13 +0100

ghostscript (9.05~dfsg~20120203-0ubuntu1) precise; urgency=low

  * New upstream release
     - GIT snapshot from February, 2 2012.
     - Upstream fix for X11 display output device (LP: #925950).
     - Additional fix for paper size matching of CUPS Raster output device.
  * debian/rules: Reverted changes of last package, problem fixed upstresm.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 03 Feb 2012 17:39:41 +0100

ghostscript (9.05~dfsg~20120202-0ubuntu2) precise; urgency=low


