=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ghostscript
 Section: text
 Priority: optional
-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
 Build-Depends: cdbs (>= 0.4.72~),
  autoconf,
  debhelper,
  dh-buildinfo,
  devscripts,
  liblcms2-dev,
- liblcms1-dev,
  libfreetype6-dev,
  libcups2-dev (>= 1.3.7),
  libcupsimage2-dev (>= 1.1.20final+rc1-4),
@@ -61,6 +61,17 @@
  printed on non-PostScript printers. Supported printers include common
  dot-matrix, inkjet and laser models.
 
+Package: gs-common
+Architecture: all
+Priority: extra
+Depends: ghostscript, ${cdbs:Depends},
+ ${misc:Depends}
+Description: Transitional dummy package for ghostscript
+ This is a dummy package provided for a smooth transition from previous
+ separately packages Ghostscript flavors now replaced by ghostscript.
+ .
+ It may safely be removed after installation.
+
 Package: ghostscript-cups
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -128,7 +139,8 @@
 Section: libs
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: ${cdbs:Replaces}
+Breaks: ghostscript (<< 9.01~dfsg-1)
+Replaces: ${cdbs:Replaces}, ghostscript (<< 9.01~dfsg-1)
 Description: interpreter for the PostScript language and for PDF - common files
  GPL Ghostscript is used for PostScript/PDF preview and printing.
  Usually as a back-end to a program such as ghostview, it can display
@@ -140,7 +152,21 @@
 Package: libgs-dev
 Section: libdevel
 Architecture: any
-Depends: ${devlibs:Depends},
+Depends: libgs9 (= ${binary:Version}),
+ libc6-dev,
+ libcups2-dev,
+ libcupsimage2-dev,
+ libfontconfig1-dev,
+ libidn11-dev,
+ libijs-dev,
+ libjasper-dev,
+ libjbig2dec0-dev,
+ libjpeg-dev,
+ liblcms2-dev,
+ libpaper-dev,
+ libpng12-0-dev,
+ libtiff4-dev,
+ zlib1g-dev,
  ${cdbs:Depends},
  ${misc:Depends}
 Conflicts: ${cdbs:Conflicts}
