=== debian/rules ===
--- 
+++ 
@@ -30,85 +30,21 @@
 include /usr/share/cdbs/1/rules/utils.mk
 
 # ABI by default follows upstream version (without repackaging suffix)
-abi = $(DEB_UPSTREAM_TARBALL_VERSION)
+abi = $(shell echo $(DEB_UPSTREAM_TARBALL_VERSION) | sed 's/\~.*$$//')
 major := $(shell echo $(DEB_UPSTREAM_VERSION) | sed 's/\..*$$//')
 libname = libgs
 libpkgname = $(libname)$(major)
 datapkgname = $(libname)$(major)-common
 
 DEB_UPSTREAM_URL = http://downloads.ghostscript.com/public
-DEB_UPSTREAM_TARBALL_MD5 = 9c2fb4af1eb609d09dba5bb0fa76173a
+DEB_UPSTREAM_TARBALL_MD5 = 8bcef1f33ddf8a4d12b2cf8da385c191
 
-# Non-DFSG license limited to verbatim copying
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/90ms-RKSJ-UCS2 \
-	./Resource/CMap/90pv-RKSJ-UCS2 \
-	./Resource/CMap/90pv-RKSJ-UCS2C \
-	./Resource/CMap/Adobe-CNS1-B5pc \
-	./Resource/CMap/Adobe-CNS1-ETenms-B5 \
-	./Resource/CMap/Adobe-CNS1-H-CID \
-	./Resource/CMap/Adobe-CNS1-H-Host \
-	./Resource/CMap/Adobe-CNS1-H-Mac \
-	./Resource/CMap/Adobe-CNS1-UCS2 \
-	./Resource/CMap/Adobe-GB1-GBK-EUC \
-	./Resource/CMap/Adobe-GB1-GBpc-EUC \
-	./Resource/CMap/Adobe-GB1-H-CID \
-	./Resource/CMap/Adobe-GB1-H-Host \
-	./Resource/CMap/Adobe-GB1-H-Mac \
-	./Resource/CMap/Adobe-GB1-UCS2 \
-	./Resource/CMap/Adobe-Japan1-90ms-RKSJ \
-	./Resource/CMap/Adobe-Japan1-90pv-RKSJ \
-	./Resource/CMap/Adobe-Japan1-H-CID \
-	./Resource/CMap/Adobe-Japan1-H-Host \
-	./Resource/CMap/Adobe-Japan1-H-Mac \
-	./Resource/CMap/Adobe-Japan1-PS-H \
-	./Resource/CMap/Adobe-Japan1-PS-V \
-	./Resource/CMap/Adobe-Japan1-UCS2 \
-	./Resource/CMap/Adobe-Korea1-H-CID \
-	./Resource/CMap/Adobe-Korea1-H-Host \
-	./Resource/CMap/Adobe-Korea1-H-Mac \
-	./Resource/CMap/Adobe-Korea1-KSCms-UHC \
-	./Resource/CMap/Adobe-Korea1-KSCpc-EUC \
-	./Resource/CMap/Adobe-Korea1-UCS2 \
-	./Resource/CMap/B5pc-UCS2 \
-	./Resource/CMap/B5pc-UCS2C \
-	./Resource/CMap/CNS01-RKSJ-H \
-	./Resource/CMap/CNS02-RKSJ-H \
-	./Resource/CMap/CNS03-RKSJ-H \
-	./Resource/CMap/CNS04-RKSJ-H \
-	./Resource/CMap/CNS05-RKSJ-H \
-	./Resource/CMap/CNS06-RKSJ-H \
-	./Resource/CMap/CNS07-RKSJ-H \
-	./Resource/CMap/CNS15-RKSJ-H \
-	./Resource/CMap/ETen-B5-UCS2 \
-	./Resource/CMap/GB-RKSJ-H \
-	./Resource/CMap/GBK-EUC-UCS2 \
-	./Resource/CMap/GBT-RKSJ-H \
-	./Resource/CMap/GBpc-EUC-UCS2 \
-	./Resource/CMap/GBpc-EUC-UCS2C \
-	./Resource/CMap/HK-RKSJ-H \
-	./Resource/CMap/Hojo-RKSJ-H \
-	./Resource/CMap/KSC-RKSJ-H \
-	./Resource/CMap/KSC2-RKSJ-H \
-	./Resource/CMap/KSCms-UHC-UCS2 \
-	./Resource/CMap/KSCpc-EUC-UCS2 \
-	./Resource/CMap/KSCpc-EUC-UCS2C \
-	./Resource/CMap/TCVN-RKSJ-H \
-	./Resource/CMap/UCS2-90ms-RKSJ \
-	./Resource/CMap/UCS2-90pv-RKSJ \
-	./Resource/CMap/UCS2-B5pc \
-	./Resource/CMap/UCS2-ETen-B5 \
-	./Resource/CMap/UCS2-GBK-EUC \
-	./Resource/CMap/UCS2-GBpc-EUC \
-	./Resource/CMap/UCS2-KSCms-UHC \
-	./Resource/CMap/UCS2-KSCpc-EUC
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./Resource/CMap/Identity-UTF16-H \
-	./Resource/CMap/Identity-UTF16-V
 # Sources unavailable
 # (PDFs kept commented out as reminder, in case jasper iss included)
 #DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jasper/doc/*.pdf
 # convenience libraries cluttering authorship/licensing tracking
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./cups/libs/
-DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./expat/ ./freetype/ ./ijs/ ./jasper/ ./jbig2dec/ ./lcms/ ./lcms2/ ./libpng/ ./tiff/ ./zlib/
+DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./expat/ ./freetype/ ./icclib/ ./ijs/ ./jasper/ ./jbig2dec/ ./lcms/ ./lcms2/ ./libpng/ ./openjpeg/ ./tiff/ ./zlib/
 # convenience library enabling old non-standard option (see bug#582521)
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += ./jpeg/
 # convenience library implementing patented controversial JPEG XR format
@@ -147,9 +83,8 @@
 	--with-drivers=ALL \
 	--with-fontpath=/var/lib/ghostscript/fonts:/usr/share/cups/fonts:/usr/share/ghostscript/fonts:/usr/local/lib/ghostscript/fonts:/usr/share/fonts
 
-# liblcms1-dev needed for icc34.h - See doc/GS9_Color_Management.pdf
 gs_opts += WHICH_CMS=lcms2 SHARE_LCMS=1 LCMS2DIR=/usr
-CDBS_BUILD_DEPENDS += , liblcms2-dev, liblcms1-dev
+CDBS_BUILD_DEPENDS += , liblcms2-dev
 
 gs_opts += SHARE_FT=1
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-freetype
@@ -161,7 +96,7 @@
 CDBS_BUILD_DEPENDS += , libcups2-dev (>= 1.3.7), libcupsimage2-dev (>= 1.1.20final+rc1-4)
 CDBS_BUILD_DEPENDS += , libdbus-1-dev
 CDBS_DEPENDS_ghostscript-cups += , ghostscript (>= 8.64~dfsg-8)
-CDBS_RECOMMENDS_ghostscript-cups += , cups, cups-client, colord
+CDBS_RECOMMENDS_ghostscript-cups += , cups, colord
 CDBS_SUGGESTS_ghostscript += , ghostscript-cups
 
 DEB_MAKE_BUILD_TARGET = so gs.a $(gs_opts)
@@ -182,10 +117,14 @@
 infiles = $(filter-out debian/control.in debian/control.in.in, $(wildcard debian/*.in))
 outfiles = $(subst $(libname)__VER__,$(libpkgname),$(basename $(infiles)))
 pre-build:: $(outfiles)
+	rm -f configure.ac; ln -s base/configure.ac .
+	rm -f Makefile.in; ln -s base/Makefile.in .
 $(outfiles): update-config debian/stamp-copyright-check
 	sed $(SEDRULE_CONTENT) <$(subst $(libpkgname),$(libname)__VER__,$@).in >$@
+
 clean::
 	rm -f $(outfiles)
+	rm -f configure.ac Makefile.in
 
 pre-build clean:: fail-source-not-repackaged
 
@@ -193,7 +132,56 @@
 	[ ! -f Makefile ] || $(MAKE) soclean
 	[ ! -f Makefile ] || $(MAKE) distclean
 # These are somehow left...
-	rm -rf sobin soobj gs.a cups/pstoraster cups/pstopxl
+	rm -rf sobin soobj gs.a cups/gstoraster cups/gstopxl
 
 install/ghostscript::
 	# Remove some of the scripts
+	rm $(DEB_DESTDIR)/usr/bin/unix-lpr.sh $(DEB_DESTDIR)/usr/bin/lprsetup.sh
+
+	# Do not include the Ghostscript loader executable with GTK support
+	rm -f $(DEB_DESTDIR)/usr/bin/gsx
+
+	# Rename /usr/bin/gsc, to not conflict with gambc
+	mv $(DEB_DESTDIR)/usr/bin/gsc $(DEB_DESTDIR)/usr/bin/gs
+	mkdir -p $(DEB_DESTDIR)/usr/sbin/
+	install -m 755 debian/update-gsfontmap $(DEB_DESTDIR)/usr/sbin
+
+	# Install the ppd updater data files so that CUPS can update the
+	# PPDs of the already existing queue after each update of the 
+	# ghostscript-cups packages
+	install -D -m 644 debian/ghostscript-cups.ppd-updater $(CURDIR)/debian/ghostscript-cups/usr/share/cups/ppd-updaters/ghostscript-cups
+
+	# Install Apport hook (Ubuntu only)
+	if dpkg-vendor --is ubuntu; then \
+		install -D -m 644 debian/ubuntu/apport-hook.py $(CURDIR)/debian/ghostscript/usr/share/apport/package-hooks/source_ghostscript.py; \
+	fi
+
+install/$(datapkgname)::
+	# Strip CMap files (shipped separately, registered with DeFoMa)
+	rm -rf $(DEB_DESTDIR)/usr/share/ghostscript/$(abi)/Resource/CMap
+
+install/libgs-dev::
+	mkdir -p $(DEB_DESTDIR)/usr/lib/
+	install -m 644 gs.a \
+		$(DEB_DESTDIR)/usr/lib/libgs.a
+
+clean::
+	rm -f debian/stamp-local-shlibs-$(libname)
+
+binary-post-install/$(datapkgname)::
+	file='debian/$(datapkgname)/usr/share/ghostscript/$(abi)/Resource/Init/cidfmap'; \
+	  ! egrep -v '^(%([^%].*)?)?$$' "$$file" && rm "$$file" || ( \
+		echo; \
+		echo 'ERROR: cidfmap not virtually empty as expected,'; \
+		echo '       so some alternative to just dropping that file is required.'; \
+		echo '       More info at bug#531182.'; \
+		exit 1 )
+
+# Needed at build time
+# (separated in core, X11 and autotools dependencies)
+CDBS_BUILD_DEPENDS += , libjpeg-dev, libpaper-dev, libpng-dev, libz-dev, libfontconfig1-dev, libjasper-dev, libtiff-dev, libexpat-dev, libjbig2dec-dev, libidn11-dev, libijs-dev
+CDBS_BUILD_DEPENDS += , freeglut3-dev | libglut-dev, libxt-dev, libxext-dev, libx11-dev, libice-dev, libsm-dev
+CDBS_BUILD_DEPENDS += , pkg-config
+
+# Needed (always, often, sometimes) at runtime
+CDBS_DEPENDS_ghostscript += , gsfonts (>= 6.0-1), debconf | debconf-2.0, debianutils (>= 1.6), $(libpkgname) (= $(DEB_VERSION))
