=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=3
opts=dversionmangle=s/\~dfsg.*// \
	http://downloads.ghostscript.com/public/ghostscript-(\d+[^-]+)\.tar\.bz2
