## ghostscript 9.05%7edfsg

=== debian/changelog ===
ghostscript (9.05~dfsg-0ubuntu4.4) precise-security; urgency=medium

  * SECURITY UPDATE: Information disclosure through getenv, filenameforall
    - debian/patches/CVE-2013-5653.patch: Have filenameforall and getenv
      honor SAFER
    - CVE-2013-5653
  * SECURITY UPDATE: userparams with %pipe% in paths allow remote shell exec
    - debian/patches/CVE-2016-7976.patch: Add a file permissions callback
    - CVE-2016-7976
  * SECURITY UPDATE: use-after-free and remote code execution
    - debian/patches/CVE-2016-7978.patch: Reference count device icc profile
    - CVE-2016-7978
  * SECURITY UPDATE: type confusion allows remote code execution
    - debian/patches/CVE-2016-7979.patch: DSC parser - validate parameters
    - CVE-2016-7979
  * SECURITY UPDATE: NULL dereference
    - debian/patches/CVE-2016-8602.patch: check for sufficient params
    - CVE-2016-8602
  * SECURITY UPDATE: fix SAFER permissions
    - debian/patches/CVE-2016-7977.patch: Be rigorous with SAFER permissions
    - CVE-2016-7977

 -- Emily Ratliff <emily.ratliff@canonical.com>  Thu, 01 Dec 2016 08:37:22 -0600

ghostscript (9.05~dfsg-0ubuntu4.3) precise-security; urgency=medium

  * SECURITY UPDATE: integer overflow in gs_heap_alloc_bytes()
    - debian/patches/CVE-2015-3228.patch: added sanity check to
      base/gsmalloc.c.
    - CVE-2015-3228

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 29 Jul 2015 16:05:11 -0400
